Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: AEV Affected Products: ADTF 3.6.3, ADTF Calibration Toolbox

3.1.0, ADTF Device Toolbox 3.1.0, ADTF

Display Toolbox 3.4.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: CalibrationTB::XCP

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

ich habe ein .dat File von ADTF2. Dieses möchte ich mit dem ADTFDAT File Player in ADTF3 abspielen. Leider kommt immer die

Meldung "... no type deserializer fo 'adtf.type.xcp.adtf2_support.serialization.adtf.cid' avilable ..." beim Initialisieren.

Fehlt mir einfach noch was oder handelt es sich hier um einen Fehler?

Solltet ihr weitere Informationen benötigen einfach kurze Rückmeldung.

Lösung

Grundsätzlich müssen spezielle Stream Types im ADTF 3.x bekannt gemacht werden, darunter fällt u.a. auch XCP. Das sagt dir die

Fehlermeldung, das ADTF 3.x generisch nicht lösen, da sich die Datentypen ja geändert haben.

Das haben wir für alle Standardtypen gemacht, für eigene Typen aus 2.x müssen eigene Deserialisierungen implementiert werden.

In deinem Fall genügt es, den entsprechenden CalibTB 2.x Deserialzer Services noch hinzuzufügen.

History

#1 - 2020-03-11 14:36 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to CalibrationTB::XCP

Hallo Alexander,

das sollte eigentlich funktionieren.

Kannst Du uns das .dat File zur Verfügung stellen, falls dies von der Größe möglich ist?

Gruß

Matthias

#2 - 2020-03-11 21:58 - hidden

Hallo Alexander,

Grundsätzlich müssen spezielle Stream Types im ADTF 3.x bekannt gemacht werden, darunter fällt u.a. auch XCP. Das sagt dir die Fehlermeldung,

das ADTF 3.x generisch nicht lösen, da sich die Datentypen ja geändert haben.

Das haben wir für alle Standardtypen gemacht, für eigene Typen aus 2.x müssen eigene Deserialisierungen implementiert werden.

In deinem Fall genügt es, den entsprechenden CalibTB 2.x Deserialzer Services noch hinzuzufügen.

#3 - 2020-03-23 09:40 - hidden

- Project changed from 11 to Public Support

- Subject changed from Play .dat File  to Missing xcp deserialization to replay .dat file from ADTF 2.x in ADTF 3.x
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
